# Lingala

@Serializable(with = IetfLangSerializer::class )
sealed interface Lingala : IetfLang (source)

#### Inheritors

AO
CD
CF
CG
Companion

## Types

AO
Link copied to clipboard
@Serializable(with = IetfLangSerializer::class )
object AO : IetfLang.Lingala
CD
Link copied to clipboard
@Serializable(with = IetfLangSerializer::class )
object CD : IetfLang.Lingala
CF
Link copied to clipboard
@Serializable(with = IetfLangSerializer::class )
object CF : IetfLang.Lingala
CG
Link copied to clipboard
@Serializable(with = IetfLangSerializer::class )
object CG : IetfLang.Lingala
Companion
Link copied to clipboard
@Serializable(with = IetfLangSerializer::class )
object Companion : IetfLang.Lingala

## Properties

code
Link copied to clipboard
abstract val code : String
parentLang
Link copied to clipboard
open val parentLang : IetfLang ?
withoutDialect
Link copied to clipboard
open val withoutDialect : String

## Functions

toJavaLocale
Link copied to clipboard
fun IetfLang . toJavaLocale (): Locale
toJavaLocaleOrDefault
Link copied to clipboard
fun IetfLang ?. toJavaLocaleOrDefault (): Locale